Bug 985104 - A firewall is breaking my network.
A firewall is breaking my network.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 15:25 EDT by David Woodhouse
Modified: 2013-08-01 09:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:39:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-07-16 15:25:58 EDT
The first thing I did after installing my system (Fedora 18 or maybe 17) was run 'lokkit --disabled' to fix the network connectivity.

On upgrading to Fedora 19, my configuration appears to have been discarded and it isn't obvious how to fix my network again.
Comment 1 Thomas Woerner 2013-07-19 11:02:09 EDT
If you upgraded from an earlier version to F-19, the old firewall solution should still be used. In a fresh installation, firewalld will be used.

If you want to disable the firewalld, please use "systemctl disable firewalld"
Comment 2 Thomas Woerner 2013-08-01 08:39:43 EDT
Please have a look at https://fedoraproject.org/wiki/FirewallD for more information on firewalld.
Comment 3 David Woodhouse 2013-08-01 09:28:12 EDT
The fact that a previously functioning setup has been broken in the upgrade *is* a bug, surely?

The document you refer me to does state that migration from previous configurations is "in a very early state", but surely the simple setup of "do no firewalling" is easy enough to migrate?

Does it not have other implications if I simply kill the service completely? Don't I need it running for libvirt to set up its guest networks with NAT? I seem to recall that was an issue in the past, requiring that the previous incarnation of Fedora firewall management *not* be completely disabled at the sysvinit/systemd level.

All I'm looking for is a single, consistent way to tell Fedora "do not break my network connectivity" which works from one release to the next without regressions. And for it to be clearly documented in a way that 'lokkit --disabled' never was. I'd actually like it to be an option in the installer too, but I suppose that's never going to come back.
Comment 4 Thomas Woerner 2013-08-01 09:51:17 EDT
"lokkit --disabled" disabled the firewall.

You can disable the firewalld service with this command:

  systemctl mask firewalld.service

Note You need to log in before you can comment on or make changes to this bug.